using Core.Entities;

namespace Application.Services.Database;

public interface IMedicalHistoryRepository
{
    Task<MedicalHistory?> GetByIdAsync(Guid id);
    Task AddAsync(MedicalHistory medicalHistory);
    Task UpdateAsync(MedicalHistory medicalHistory);
    Task DeleteAsync(MedicalHistory medicalHistory);
    Task<IEnumerable<MedicalHistory>> GetAllAsync();
}